package net.wanji.opt.common;

import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.ZSetOperations;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Set;

/**
 * @description: redis工具类
 * @author wanji
 * @version 1.0
 * Created on 2019/4/29 20:34
 */
@Component
public class RedisUtils {

    @Resource
    private RedisTemplate<String, Object> redis7Template;

    /**
     * 7号库获取最大 score zset 元素
     */
    public Object getMaxScoreElement(String redisKey) {
        ZSetOperations<String, Object> zSetOps = redis7Template.opsForZSet();
        Set<Object> result = zSetOps.reverseRange(redisKey, 0, 0);

        if (result != null && !result.isEmpty()) {
            return result.iterator().next();
        } else {
            return null;
        }
    }
}
